SDL_LockSpinlock(3)

NAME
SDL_LockSpinlock - Lock a spin lock by setting it to a non-zero value.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_LockSpinlock(SDL_SpinLock *lock);

DESCRIPTION
Please note that spinlocks are dangerous if you don't know what you're doing. Please be careful using any sort of spinlock!

FUNCTION PARAMETERS

lock
    a pointer to a lock variable

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_TryLockSpinlock(3), SDL_UnlockSpinlock(3)